import {
  Flex,
  Heading,
  Stack,
  Text,
  Button,
  Code
} from '@chakra-ui/react';
import type { NextPage } from 'next'
import Image from 'next/image';

const Home: NextPage = () => {
  return (
    <Flex maxW={'100vw'} alignItems='center' justifyContent={'center'} h='100vh'>
      <Stack
        textAlign={'center'}
        align={'center'}
        spacing={{ base: 8, md: 10 }}
        py={{ base: 20, md: 28 }}>
        <Heading
          fontWeight={600}
          fontSize={{ base: '3xl', sm: '4xl', md: '6xl' }}
          lineHeight={'110%'}>
          Create Bash Apps{' '}
          <Text as={'span'} color={'#7373ED'}>
            with ease
          </Text>
        </Heading>
        <Text color={'gray.500'} maxW={'3xl'}>
          Create Bash App quickly bootstraps your projects with preconfigs
          and responsive components out of the box to get you started with development right away. 
        </Text>
        <Code children='npx create-bash-boilerplate <my-app>' variant='subtle' />
        <Stack spacing={6} direction={'row'}>
          <Button
            rounded={'full'}
            px={6}
            bg={'#7373ED'}
            textColor={'white'}
            _hover={{ bg: '#D1D1FA', textColor: 'black'}}>
            Get started
          </Button>
          <Button rounded={'full'} px={6}>
            Learn more
          </Button>
        </Stack>
      </Stack>
    </Flex>
  );
}

export default Home;